﻿Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            BindData()
        End If
    End Sub

    Protected Sub BindData()
        Dim ds As New DataSet()
        Dim dt As New DataTable()
        Try
            ds.ReadXml(Server.MapPath("~/App_Data/Funcionarios.xml"))
            Dim gvFuncionario As New GridView()
            gvFuncionario.AutoGenerateColumns = False

            If ds IsNot Nothing AndAlso ds.HasChanges() Then
                dt = ds.Tables(0)
                For i As Integer = 0 To dt.Columns.Count - 1
                    Dim boundfield As New BoundField()
                    boundfield.DataField = dt.Columns(i).ColumnName.ToString()
                    boundfield.HeaderText = dt.Columns(i).ColumnName.ToString()
                    gvFuncionario.Columns.Add(boundfield)
                Next
                gvFuncionario.DataSource = dt
                gvFuncionario.DataBind()
                gvFuncionario.Width = 600
                gvFuncionario.HeaderStyle.CssClass = "header"
                gvFuncionario.RowStyle.CssClass = "rowstyle"

                Painel1.Controls.Add(gvFuncionario)
            End If

        Catch ex As Exception
            lblmsg.Text = ex.Message
        End Try
    End Sub

End Class